Package org.opensaml.xmlsec.encryption.support

# Class DataEncryptionParameters

java.lang.Object
org.opensaml.xmlsec.encryption.support.DataEncryptionParameters

Direct Known Subclasses:
  `KeyEncryptionParameters`

public class DataEncryptionParameters extends Object
Parameters for encrypting XMLObjects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithm`
XML Encryption algorithm URI used to encrypt.
`private Credential`
`encryptionCredential`
Credential used to encrypt.
`private KeyInfoGenerator`
`keyInfoGenerator`
Generator for dynamically generating a KeyInfo instance containing information from the encryption credential.

## Constructor Summary

Constructors
Constructor
Description
`DataEncryptionParameters()`
Constructor.
`DataEncryptionParameters(EncryptionParameters params)`
Convenience constructor which allows copying the relevant data encryption parameters from an instance of `EncryptionParameters`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Gets the XML Encryption algorithm URI used to encrypt.
`Credential`
`getEncryptionCredential()`
Gets the credential used to encrypt.
`KeyInfoGenerator`
`getKeyInfoGenerator()`
Gets the instance which will be used to generate a KeyInfo object from the encryption credential.
`void`
`setAlgorithm(String newAlgorithm)`
Sets the XML Encryption algorithm URI used to encrypt.
`void`
`setEncryptionCredential(Credential newEncryptionCredential)`
Sets the credential used to encrypt.
`void`
`setKeyInfoGenerator(KeyInfoGenerator newKeyInfoGenerator)`
Sets the instance which will be used to generate a KeyInfo object from the encryption credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### encryptionCredential

@Nullable private Credential encryptionCredential
Credential used to encrypt.

### algorithm

@Nullable private String algorithm
XML Encryption algorithm URI used to encrypt.

### keyInfoGenerator

@Nullable private KeyInfoGenerator keyInfoGenerator
Generator for dynamically generating a KeyInfo instance containing information from the encryption credential.

## Constructor Details

### DataEncryptionParameters

public DataEncryptionParameters()
Constructor.

### DataEncryptionParameters

public DataEncryptionParameters(@Nonnull EncryptionParameters params)
Convenience constructor which allows copying the relevant data encryption parameters from an instance of `EncryptionParameters`.

Parameters:
  `params` - the encryption parameters instance

## Method Details

### getAlgorithm

@Nullable public String getAlgorithm()
Gets the XML Encryption algorithm URI used to encrypt.

Returns:
  the algorithm URI used to encrypt, or null

### setAlgorithm

public void setAlgorithm(@Nullable String newAlgorithm)
Sets the XML Encryption algorithm URI used to encrypt.

Parameters:
  `newAlgorithm` - the algorithm URI used to encrypt

### getEncryptionCredential

@Nullable public Credential getEncryptionCredential()
Gets the credential used to encrypt.

Returns:
  the credential used to encrypt, or null

### setEncryptionCredential

public void setEncryptionCredential(@Nullable Credential newEncryptionCredential)
Sets the credential used to encrypt.

Parameters:
  `newEncryptionCredential` - the credential used to encrypt

### getKeyInfoGenerator

@Nullable public KeyInfoGenerator getKeyInfoGenerator()
Gets the instance which will be used to generate a KeyInfo object from the encryption credential.

Returns:
  the generator instance, or null

### setKeyInfoGenerator

public void setKeyInfoGenerator(@Nullable KeyInfoGenerator newKeyInfoGenerator)
Sets the instance which will be used to generate a KeyInfo object from the encryption credential.

Parameters:
  `newKeyInfoGenerator` - the new generator instance